{% extends 'base.html.twig' %}

{% block body %}
    <h1>Photos list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Titre</th>
                <th>Url</th>
                <th>Description</th>
                <th>Auteur</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for photo in photos %}
            <tr class="photo">
                <td><a href="{{ path('photos_show', { 'id': photo.id }) }}">{{ photo.id }}</a></td>
                <td>{{ photo.titre }}</td>
                <td>{{ photo.description|raw }}</td>
                <td>{{ photo.auteur }}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('photos_show', { 'id': photo.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('photos_edit', { 'id': photo.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('photos_new') }}">Create a new photo</a>
        </li>
    </ul>
{% endblock %}
